require 'phi'

form = Phi::Form.new(:form1, 'form‚Ĺ‚·')
button = Phi::RadioButton.new(form, :button1, 'hoge')
form.on_click = proc do
  if button.checked?
    print "checked\r\n"
  else
    print "not checked\r\n"
  end
end
form.show
Phi.mainloop